Bug 1260640 - vnc connections to a windows 8.1/2012R2 experience mouse tracking issues
vnc connections to a windows 8.1/2012R2 experience mouse tracking issues
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.4.0
All All
high Severity high
: GA
: 5.5.0
Assigned To: Martin Povolny
Ramesh A
: ZStream
Depends On:
Blocks: 1262020
  Show dependency treegraph
 
Reported: 2015-09-07 08:11 EDT by Felix Dewaleyne
Modified: 2015-12-08 08:29 EST (History)
8 users (show)

See Also:
Fixed In Version: 5.5.0.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1262020 (view as bug list)
Environment:
Last Closed: 2015-12-08 08:29:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Felix Dewaleyne 2015-09-07 08:11:22 EDT
Description of problem:
vnc connections to a windows 8.1/2012R2 experience mouse tracking issues that do not show over vmrc

Version-Release number of selected component (if applicable):
5.4.1.0

How reproducible:
customer is able to reproduce constantly    

Steps to Reproduce:
1. install a windows 8.1 / 2012 in a vmware ESX 5.5 environment 
2. install the vmware tools drivers, then change the graphics card to use the WDDM driver and make sure the mouse uses the vmware driver
2. configure a vnc proxy on the appliance used 
3. connect to the console of the windows vm

Actual results:
The mouse lags

Expected results:
the mouse moves as fast as through the vmrc or vcenter interface

Additional info:
- instructions to install the drivers, provided by vmware : http://kb.vmware.com/selfservice/microsites/search.do?language=en_US&cmd=displayKC&externalId=2004145
- it might be related to http://kb.vmware.com/selfservice/microsites/search.do?language=en_US&cmd=displayKC&externalId=2116851
- other case for a different windows release : bz#1256674
Comment 6 Felix Dewaleyne 2015-09-08 05:11:27 EDT
the customer impacted was able to confirm that with a vnc client (tightvnc on windows) that mouse issues do not happen if you connect directly to the vmware vnc server.
Comment 11 CFME Bot 2015-09-18 12:08:47 EDT
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/a18b4b1cdb32e2cb71809e5b9380fe019a926ea9

commit a18b4b1cdb32e2cb71809e5b9380fe019a926ea9
Author:     Martin Povolny <mpovolny@redhat.com>
AuthorDate: Fri Sep 18 09:16:00 2015 +0200
Commit:     Martin Povolny <mpovolny@redhat.com>
CommitDate: Fri Sep 18 10:36:51 2015 +0200

    Disable styling for HTML5 console canvases.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1260640
    https://bugzilla.redhat.com/show_bug.cgi?id=1256674

 app/assets/stylesheets/consoles.css | 2 --
 1 file changed, 2 deletions(-)
Comment 12 CFME Bot 2015-09-23 19:04:55 EDT
New commit detected on cfme/5.4.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=a0d00b712449d232b0bc5062879acb15fc50c2ae

commit a0d00b712449d232b0bc5062879acb15fc50c2ae
Author:     Martin Povolny <mpovolny@redhat.com>
AuthorDate: Fri Sep 18 09:16:00 2015 +0200
Commit:     Martin Povolny <mpovolny@redhat.com>
CommitDate: Mon Sep 21 14:29:12 2015 +0200

    Disable styling for HTML5 console canvases.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1260640
    https://bugzilla.redhat.com/show_bug.cgi?id=1256674

 vmdb/app/assets/stylesheets/consoles.less | 2 --
 1 file changed, 2 deletions(-)
Comment 13 Ramesh A 2015-11-27 02:14:59 EST
Good to go.  Verified and working fine in 5.5.0.12-rc2.20151124135609_653c0d4
Comment 15 errata-xmlrpc 2015-12-08 08:29:47 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.